complexType "InterestCalculation"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 1 attribute, 6 elements
Defined: | globally in fpml-eq-shared-5-3.xsd; see XML source
Includes: | definitions of 1 attribute, 4 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | (floatingRateCalculation | fixedRate), dayCountFraction?, compounding?, (interpolationMethod?, interpolationPeriod?)?
</...>

Content Model Elements (6):

  compounding (in interestCalculation),
  dayCountFraction (in interestCalculation),
  fixedRate (defined in InterestAccrualsMethod complexType),
  floatingRateCalculation (defined in InterestAccrualsMethod complexType),
  interpolationMethod (in interestCalculation),
  interpolationPeriod

All Direct / Indirect Based Elements (1):

  interestCalculation

Known Usage Locations

- As direct type of elements (1):
  interestCalculation

Annotation
Specifies the calculation method of the interest rate leg of the return swap. Includes the floating or fixed rate calculation definitions, along with the determination of the day count fraction.
Type Definition Detail

Type Derivation Tree InterestAccrualsMethod (extension) InterestCalculation

XML Source (w/o annotations (5); see within schema source)

<xsd:complexType name="InterestCalculation"> <xsd:complexContent> <xsd:extension base="InterestAccrualsMethod"> <xsd:sequence> <xsd:element minOccurs="0" name="dayCountFraction" type="DayCountFraction"/> <xsd:element minOccurs="0" name="compounding" type="Compounding"/> <xsd:sequence minOccurs="0"> <xsd:element minOccurs="0" name="interpolationMethod" type="InterpolationMethod"/> <xsd:element minOccurs="0" name="interpolationPeriod" type="InterpolationPeriodEnum"/> </xsd:sequence> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID"/>

Content Element Detail (all declarations; defined within this component only; 4/6)
compounding

  Type: | Compounding, complex content

  Defines compounding rates on the Interest Leg.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="compounding" type="Compounding"/>

dayCountFraction

  Type: | DayCountFraction, simple content

  The day count fraction.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="dayCountFraction" type="DayCountFraction"/>

interpolationMethod

  Type: | InterpolationMethod, simple content

  Specifies the type of interpolation used.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="interpolationMethod" type="InterpolationMethod"/>

interpolationPeriod

  Type: | InterpolationPeriodEnum, simple content

  Defines applicable periods for interpolation.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "Initial" | - | Interpolation is applicable to the initial period only.
  "InitialAndFinal" | - | Interpolation is applicable to the initial and final periods only.
  "Final" | - | Interpolation is applicable to the final period only.
  "AnyPeriod" | - | Interpolation is applicable to any non-standard period.

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="interpolationPeriod" type="InterpolationPeriodEnum"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.